package com.uas.platform.b2b.support.mq;

import java.util.Map;

import com.uas.platform.b2b.core.util.ContextUtils;
import com.uas.platform.b2b.support.SysConf;
import com.uas.platform.core.util.HttpUtil;

public class Pusher {

	private static SysConf sysConf;

	private static SysConf getSysConf() {
		if (sysConf == null) {
            sysConf = ContextUtils.getBean(SysConf.class);
        }
		return sysConf;
	}

	private final static String api = getSysConf().getIm() + "/tigase/baiduPush";

	public static void push(Map<String, Object> params) {
		try {
			HttpUtil.sendPostRequest(api, params);
		} catch (Exception e) {
		}
	}

}
